/* CCS, Class Collection by Sakurai
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package jp.gr.java_conf.ccs2.comp;
import java.awt.*;


/** Simple implementation of RectPainter. <br>
    This class fills the whole rectangle with given color. 
 */
public class DefaultRectPainter extends RectPainter {

    protected Color bgColor = Color.white;
    
    public DefaultRectPainter() {
    }
    
    public DefaultRectPainter(Color bgc) {
	bgColor = bgc;
    }

    protected void work(Graphics g,Rectangle r) {
	g.setColor(bgColor);
	g.fillRect(r.x,r.y,r.width,r.height);
    }
}

