/* LaTeX2Sdoc
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc;
import jp.gr.java_conf.ccs2.util.StringUtil;

/**
   Escape unicode character. 
 */
public class EscapeUnicode {

    public static String pre_Japanese(String in) {
	in = StringUtil.replace(in,"`","\\uFF5E");
	in = StringUtil.replace(in,"\","\\u2015");
	in = StringUtil.replace(in,"~", "\\u007E");
	in = StringUtil.replace(in,"","\\uFFE5");
	in = StringUtil.replace(in,"P","\\uFFE3");
	in = StringUtil.replace(in,"_","\\uFF3C");
	in = StringUtil.replace(in,"a","\\u2225");
	in = StringUtil.replace(in,"|","\\uFF0D");
	return in;
    }
    
    public static String escape(String in) {
	String ret = pre_Japanese(in);
	ret = escape_gen( ret );
	return ret;
    }

    public static String escape_gen(String in) {
	StringBuffer buf = new StringBuffer();
	for (int i=0;i<in.length();i++) {
            int code = (int)in.charAt(i);
	    
	    if (code >= 128) {
		buf.append("\\u");
		String hex = Integer.toHexString(code);
		if (hex.length() < 4)
		    for (int j=0;j<(4-hex.length());j++)
			buf.append('0');
		buf.append(hex);
	    } else {
                buf.append(in.charAt(i));
            }
	}
	return buf.toString();
    }
}
