/* LaTeX2Sdoc
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc.math;
import java.util.Vector;
import jp.gr.java_conf.ccs2.util.TreeStructure;

public class Expression implements Element {

    Vector terms = new Vector();

    public Expression() {
    }

    public void addTerm(Term term) {
	terms.addElement(term);
    }

    public int getTermNumber() {
	return terms.size();
    }

    public Term [] getTerms() {
	Term [] rets = new Term[terms.size()];
	for (int i=0;i<rets.length;i++) {
	    rets[i] = (Term) terms.elementAt(i);
	}
	return rets;
    }

    public Term getAfter(Term base,int offset) {
	int ps = terms.indexOf(base);
	if (ps == -1) 
	    throw new InternalError("Lack of certain term. ["+base+"]");
	return (Term)terms.elementAt(ps+offset);
    }

    // tree structure

    public String getTreeNodeExpression() {
	return "Exp";
    }
    public TreeStructure [] getTreeNodes() {
	Term [] ts = getTerms();
	if (ts == null) return null;
	TreeStructure [] tree = new TreeStructure[ts.length];
	for (int i=0;i<ts.length;i++)
	tree[i] = ts[i];
	return tree;
    }
}

