/* LaTeX2Sdoc
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc.math;

/**  Visitor interface that traverses Tex source object tree. */
public interface  TeXSourceVisitor {
    
    /** initialize this object, before traversing the object tree. */
    public void init();
    
    public void identifier(String id) throws ParseException ;
    public void operator(String op) throws ParseException ;
    public void number(String num) throws ParseException ;
    public void commandBegin(CommandContent cmd) throws ParseException ;
    public void commandOption() throws ParseException ;
    public void environment(EnvironmentContent env) throws ParseException ;

    /** begin expression */
    public void expressionBegin();
    /** begin subsup element */
    public void expressionSubsupBegin();
    /** begin sub element */
    public void expressionSubBegin();
    /** begin sup element */
    public void expressionSupBegin();
    /** end expression or element */
    public void expressionEnd();

    /** begin argument expression */
    public void argBegin();
    /** end argument expression */
    public void argEnd();
    /** end command */
    public void commandEnd();
}
