/* LaTeX2Sdoc
 * Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc.math.handler;
import jp.gr.java_conf.ccs2.tool.tex2sdoc.math.*;

/**
   accent command handler, such as \displaystyle
 */
public class AccentHandler extends SimpleCommandHandler {

    private static String [] args = {""};

    String accent;
    /**
       @param accent character 
     */
    public AccentHandler(String tag,String ac) {
	super(tag,args);
	this.accent = ac;
    }

    protected AccentHandler() {
    }

    public void onCommandEnd(MathMLVisitor parent) {
	String tr = TagUtil.transEntity(parent,accent);
	if (tr == null) tr = accent;
	parent.addString( TagUtil.makeTag(parent,"mo",tr) );
	super.onCommandEnd(parent);
    }

    public String toString() {
	String ret = super.toString();
	ret += "ACCENT:"+accent;
	return ret;
    }

    public MathMLCommandHandler getCopy(CommandContent c) {
	AccentHandler a = new AccentHandler();
	a.copyFrom( this );
	a.accent = this.accent;
	return a;
    }
}
