/* LaTeX2Sdoc
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc.math.handler;
import jp.gr.java_conf.ccs2.tool.tex2sdoc.math.*;

/**
   Ignore Command handler
 */
public class IgnoreCommandHandler implements MathMLCommandHandler {

    protected String cmdTag;

    public IgnoreCommandHandler(String cmdTag) {
	this.cmdTag = cmdTag;
    }

    public boolean hasOption() {return false;}
    public void onOption(MathMLVisitor parent) {}
    public int getArgNumber() {return 0;}
    public boolean isTextMode(){ return false;}

    public void onCommandBegin(MathMLVisitor parent) { }

    public void onCommandEnd(MathMLVisitor parent) { }

    public void onArgumentBegin(MathMLVisitor parent) { }

    public void onArgumentEnd(MathMLVisitor parent) { }
    
    public String toString() {
	String ret = "Ignore["+cmdTag+"] ";
	return ret;
    }

    public MathMLCommandHandler getCopy(CommandContent c) {
	return this;
    }
    
}
