/* LaTeX2Sdoc
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package jp.gr.java_conf.ccs2.tool.tex2sdoc.math.handler;
import jp.gr.java_conf.ccs2.tool.tex2sdoc.math.*;

/**
   normal text handler
 */
public class TextHandler extends SimpleCommandHandler {

    /**
       @param tcmdTag tag and attribute (Ex.  mrow@displaystyle=\"\true" )
       @param targTag argument tag
     */
    public TextHandler(String tcmdTag,
		       String [] targTags) {
	super(tcmdTag,targTags);
    }

    protected TextHandler() {
    }

    public boolean isTextMode(){ return true;}

    public void onCommandBegin(MathMLVisitor parent) {
	super.onCommandBegin(parent);
	parent.setTextState(true);
    }

    public void onCommandEnd(MathMLVisitor parent) {
	parent.setTextState(false);
	super.onCommandEnd(parent);
    }

    public MathMLCommandHandler getCopy(CommandContent c) {
	TextHandler t = new TextHandler();
	t.copyFrom(this);
	return t;
    }

}
