/* CCS, Class Collection by Sakurai
 *  Copyright (C) 2000-2001 SAKURAI, Masashi (m.sakurai@cmt.phys.kyushu-u.ac.jp)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package jp.gr.java_conf.ccs2.util;
import java.sql.*;
import java.io.Serializable;


public class QueryBean implements Serializable {

    ConnectionBean connectionBean;
    String sql,layout;

    public QueryBean() {
    }

    public QueryBean(ConnectionBean cb,String sql) {
	this(cb,sql,null);
    }

    public QueryBean(ConnectionBean cb,String sql,String layout) {
	connectionBean = cb;
	this.sql = sql;
	this.layout = layout;
    }

    public void setConnectionBean(ConnectionBean c) {
	connectionBean = c;
    }
    public ConnectionBean getConnectionBean() {
	return connectionBean;
    }

    public String getSql() {
	return sql;
    }
    
    public void setSql(String  v) {
	this.sql = v;
    }
    
    public void setLayout(String l) {
	this.layout = l;
    }
    public String getLayout() {return layout;}

    public ResultSet getResultSet() throws SQLException {
	return JDBCUtil.getResultSet(connectionBean.getConnection(),sql);
    }

    public String [] layoutResultSet() throws SQLException {
	return JDBCUtil.layoutData(layout,getResultSet());
    }

    public String getLayoutedResultString() throws SQLException {
	return StringUtil.conbine(layoutResultSet());
    }

    public static void main(String [] args) {
	String url = "jdbc:mysql://leon/ss2001?user=sakurai&password=carol&useUnicode=true&characterEncoding=EUCJIS";
	String sql = "SELECT supporter.num,supporter.name,supporter.tel,cmtype.typename,address.name FROM supporter "+
	    "INNER JOIN address ON address.num=supporter.sp_staff "+
	    "INNER JOIN cmtype ON cmtype.num=supporter.cmtype ";
	QueryBean da = new QueryBean(
	    new ConnectionBean("org.gjt.mm.mysql.Driver",url),sql);
	da.setLayout("<tr>"+
		     "(%num%) "+
		     "%name%  %tel%  %typename%  %#5%");
	try {
	    String [] rets = da.layoutResultSet();
	    for (int i=0;i<rets.length;i++) {
		System.out.println(rets[i]);
	    }
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }
}
